Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.netlist.rdl
Class OutputFile

    java.lang.Object
      rdlc.main.OutputFile
          rdlc.netlist.rdl.OutputFile

     class OutputFile

extends OutputFile

Contains a number of very simply print functions designed to aid in generating RDL output.

Version:
  $Revision: 1.5 $
Author:
  Greg Gibeling

Field Summary
`protected CatalogSet<Declaration>` | `outputSet` The output set of declarations to print.

Fields inherited from class rdlc.main.OutputFile
`author, description, fileName, out`

Constructor Summary
`OutputFile(java.io.File outputPath, java.lang.String _fileName, java.lang.String _author, java.lang.String _description, java.util.List<java.io.File> manifest, CatalogSet<Declaration> _outputSet, Log errorLog)`

Method Summary
`protected static java.util.List<java.io.File>` | `emit(java.io.File outputPackagePath, Declaration _declaration, java.lang.String _author, java.lang.String _description, boolean shell, boolean outputAll, Log errorLog)` Emit the given declaration and all of the declarations that it requires to the given path.
`protected void` | `printChannelModel(ChannelModel channel, int tabs)` Print the given channel model.
`protected void` | `printCopyright()` Print the copyright header.
`protected void` | `printDecl(Declaration declaration, int tabs)` Print the given RDL declaration if it's in the output set.
`protected void` | `printDeclaration_Indirect(Declaration_Indirect decl, int tabs, java.lang.String type)` Print an indirect declaration.
`protected void` | `printDivider()` Print an standard divider.
`protected void` | `printDivider(int indent)` Print an standard divider, starting from the given tabstop.
`protected void` | `printDivider(int indent, char dash)` Print an arbitrary divider, starting from the given tabstop and using the given dash character.
`protected void` | `printDynRoot_Standard(DynRoot_Standard dynRoot, int tabs)` Print a dynamic tree root.
`protected void` | `printField(Field field, int tabs, Instance instance)` Print the given field.
`protected void` | `printHeader()` Print a header for the file, including CVS changelog and tags.
`protected void` | `printLabel(int indent, java.lang.String label)` Print a section label in a comment at the given tabstop.
`protected void` | `printLabeledComment(int indent, java.lang.String label, java.lang.String comment)` Print a labeled comment at the given tabstop.
`protected void` | `printLicense()` Print the license terms, This is in it's own method so that it can be easily changed.
`protected void` | `printMessage(Message message, int tabs)` Print the given message type.
`protected void` | `printNamespace(Namespace namespace, int tabs)` Print the contents of the given namespace.

Methods inherited from class rdlc.main.OutputFile
`delete, escapeQuotes, getCloseSpace, padToTab, printBlankLine, printTableRow, stringWidth`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### outputSet

    protected CatalogSet<Declaration> outputSet

  The output set of declarations to print.

Constructor Detail

### OutputFile

    public OutputFile(java.io.File outputPath,
                      java.lang.String _fileName,
                      java.lang.String _author,
                      java.lang.String _description,
                      java.util.List<java.io.File> manifest,
                      CatalogSet<Declaration> _outputSet,
                      Log errorLog)

See Also:
  `OutputFile.OutputFile(File, String, String, String, List, Log)`

Method Detail

### printDivider

    protected void printDivider(int indent,
                                char dash)

  Print an arbitrary divider, starting from the given tabstop and using the given dash character.

  Parameters:
    `indent` - The tabstop to start from.
    `dash` - The dash character to use.

### printDivider

    protected void printDivider(int indent)

  Print an standard divider, starting from the given tabstop.

  Parameters:
    `indent` - The tabstop to start from.
  See Also:
    `printDivider(int, char)`

### printDivider

    protected void printDivider()

  Print an standard divider.

  See Also:
    `printDivider(int, char)`, `printDivider(int)`

### printCopyright

    protected void printCopyright()

  Print the copyright header. This is in it's own method so that it can be easily be changed.

### printLicense

    protected void printLicense()

  Print the license terms, This is in it's own method so that it can be easily changed.

### printHeader

    protected void printHeader()

  Print a header for the file, including CVS changelog and tags. This will also include the copyright, license, author and description of the file.

### printLabel

    protected void printLabel(int indent,
                              java.lang.String label)

  Print a section label in a comment at the given tabstop.

  Parameters:
    `indent` - The tabstop.
    `label` - The label string.

### printLabeledComment

    protected void printLabeledComment(int indent,
                                       java.lang.String label,
                                       java.lang.String comment)

  Print a labeled comment at the given tabstop.

  Parameters:
    `indent` - The tabstop.
    `label` - The label string.
    `comment` - The comment string.

### printDecl

    protected void printDecl(Declaration declaration,
                             int tabs)

  Print the given RDL declaration if it's in the output set.

  Parameters:
    `declaration` - The declaration to print.
    `tabs` - The number of tabs to put at the start of each line.

### printDynRoot_Standard

    protected void printDynRoot_Standard(DynRoot_Standard dynRoot,
                                         int tabs)

  Print a dynamic tree root.

  Parameters:
    `dynRoot` - The dynamic root to print.
    `tabs` - The number of tabs to put at the start of each line.

### printField

    protected void printField(Field field,
                              int tabs,
                              Instance instance)

  Print the given field.

  Parameters:
    `field` - The field to print.
    `tabs` - The number of tabs to put at the start of each line.
    `instance` - The instance which this field is a member of.

### printMessage

    protected void printMessage(Message message,
                                int tabs)

  Print the given message type.

  Parameters:
    `message` - The message type to print.
    `tabs` - The number of tabs to put at the start of each line.

### printChannelModel

    protected void printChannelModel(ChannelModel channel,
                                     int tabs)

  Print the given channel model.

  Parameters:
    `channel` - The channel model to print.
    `tabs` - The number of tabs to put at the start of each line.

### printDeclaration_Indirect

    protected void printDeclaration_Indirect(Declaration_Indirect decl,
                                             int tabs,
                                             java.lang.String type)

  Print an indirect declaration.

  Parameters:
    `decl` - The indirect declaration to print.
    `tabs` - The number of tabs to put at the start of each line.
    `type` - The name of the RDL type.

### printNamespace

    protected void printNamespace(Namespace namespace,
                                  int tabs)

  Print the contents of the given namespace.

  Parameters:
    `namespace` - The namespace to print.
    `tabs` - The number of tabs to put at the start of each line.

### emit

    protected static java.util.List<java.io.File> emit(java.io.File outputPackagePath,
                                                       Declaration _declaration,
                                                       java.lang.String _author,
                                                       java.lang.String _description,
                                                       boolean shell,
                                                       boolean outputAll,
                                                       Log errorLog)

  Emit the given declaration and all of the declarations that it requires to the given path. Take into account the author and description strings given.

  Parameters:
    `outputPackagePath` - The path to which the output should go.
    `_declaration` - The declaration to output, along with it's requirements.
    `_author` - The author or username of the person running RDLC.
    `_description` - A quick description of this project.
    `errorLog` - A list of errors to be reported to the user.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD